#! /usr/bin/make -f
## bootstrap.mk - Bootstrapping POP3Lite		-*- Makefile -*-
## Copyright (C) 2000, 2001 Gergely Nagy <8@free.bsd.hu>
##
## This file is part of POP3Lite.
##
## POP3Lite is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## POP3Lite is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
## $Id: bootstrap.mk,v 1.20.2.1 2001/08/24 13:13:35 algernon Exp $

automake		= automake
autoconf		= autoconf
aclocal			= aclocal
autoheader		= autoheader
libtoolize		= libtoolize
libtool			= libtool

P3L_autoconf_VERSION	= autoconf-2.52
P3L_automake_VERSION	= automake-1.5
P3L_libtool_VERSION	= libtool-1.4
P3L_aclocal_VERSION	= $(P3L_automake_VERSION)
P3L_autoheader_VERSION	= $(P3L_autoheder_VERSION)
P3L_libtoolize_VERSION	= $(P3L_libtool_VERSION)
P3L_aclocal_OPTIONS	= -I macros
P3L_libtoolize_OPTIONS	= --force --copy
P3L_automake_OPTIONS	= --add-missing --gnu --copy

define assoc-package
	case $* in \
		autoconf|autoheader) \
			echo autoconf ;;  \
		automake|aclocal) \
			echo automake ;; \
		libtool|libtoolize) \
			echo libtool ;; \
	esac
endef

all: bootstrap
update: aclocal.m4 config.h.in Makefile.in ltmain.sh configure \
	update-libltdl
update-libltdl: gnu/libltdl/aclocal.m4 gnu/libltdl/config.h.in \
		gnu/libltdl/Makefile.in gnu/libltdl/ltmain.sh \
		gnu/libltdl/configure

check-autoconf check-aclocal check-automake check-libtool \
check-libtoolize check-autoheader: check-%:
	@($($*) --version) < /dev/null >/dev/null 2>&1 || if test 1 = 1; then \
		echo "**Error**: You must have $* installed to compile POP3Lite."; \
		echo "Download the appropriate package for your distribution,"; \
		echo "or get the source tarball from"; \
		echo "ftp://ftp.gnu.org/gnu/`$(assoc-package)`/$(P3L_$*_VERSION).tar.gz"; \
		exit 1; \
	fi

bootstrap: bootstrap-libtoolize bootstrap-aclocal bootstrap-autoheader \
	   bootstrap-automake bootstrap-autoconf bootstrap-ltdl

bootstrap-libtoolize bootstrap-aclocal bootstrap-autoheader \
bootstrap-automake bootstrap-autoconf: bootstrap-%: check-%
	$($*) $(P3L_$*_OPTIONS)

bootstrap-ltdl: check-autoconf check-automake check-aclocal check-autoheader
	cd gnu/libltdl && $(aclocal)
	cd gnu/libltdl && $(autoheader)
	cd gnu/libltdl && $(automake) $(P3L_automake_OPTIONS)
	cd gnu/libltdl && $(autoconf) $(P3L_autoconf_OPTIONS)

gnu/libltdl/aclocal.m4: gnu/libltdl/configure.ac
	cd gnu/libltdl && $(aclocal)
aclocal.m4: configure.ac
	$(aclocal) $(P3L_aclocal_OPTIONS)

gnu/libltdl/config.h.in: gnu/libltdl/aclocal.m4 gnu/libltdl/configure.ac
	cd gnu/libltdl && $(autoheader)
	touch $@
config.h.in: aclocal.m4 configure.ac
	$(autoheader) $(P3L_autoheader_OPTIONS)
	touch $@

gnu/libltdl/Makefile.in: gnu/libltdl/configure.ac gnu/libltdl/Makefile.am
	cd gnu/libltdl && $(automake) $(P3L_automake_OPTIONS)
Makefile.in: configure.ac Makefile.am
	$(automake) $(P3L_automake_OPTIONS)

gnu/libltdl/ltmain.sh: gnu/libltdl/Makefile.am gnu/libltdl/configure.ac
	cd gnu/libltdl && $(libtoolize) $(P3L_libtoolize_OPTIONS)
ltmain.sh: Makefile.am configure.ac
	$(libtoolize) $(P3L_libtoolize_OPTIONS)

gnu/libltdl/configure: gnu/libltdl/aclocal.m4 gnu/libltdl/configure.ac
	cd gnu/libltdl && $(autoconf) $(P3L_autoconf_OPTIONS)
configure: aclocal.m4 configure.ac
	$(autoconf) $(P3L_autoconf_OPTIONS)

.DEFAULT:
	@echo '*** Error: target not supported: $@'

.PHONY: check-autoconf check-aclocal check-automake check-libtool \
	check-libtoolize check-autoheader boostrap boostrap-libtoolize \
	bootstrap-aclocal bootstrap-autoheader bootstrap-automake \
	bootstrap-autoconf bootstrap-ltdl update update-libltdl
