/*
 * POP3Lite - 3lite POP3 Daemon
 * Copyright (C) 2000, 2001 Gergely Nagy <8@free.bsd.hu>
 *
 * This file is part of POP3Lite.
 *
 * POP3Lite is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * POP3Lite is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

/*
 * $Id: md5-wrap.h,v 1.2 2001/01/31 15:22:01 algernon Exp $
 */

#ifndef __POP3LITE_MD5_WRAP_H__
#define __POP3LITE_MD5_WRAP_H__ 1

#ifdef HAVE_MD5_H
#	include <sys/types.h>
#	include <md5.h>
#	define __md5_init_ctx MD5Init
#	define __md5_process_bytes(buf,len,ctx) MD5Update ( ctx, (unsigned char *) buf, len )
#	define __md5_process_block(buf,len,ctx) MD5Update ( ctx, (unsigned char *) buf, len )
#	define __md5_finish_ctx(ctx,buf) MD5Final ( (unsigned char *) buf, ctx )
#	define __md5_buffer(data,len,buf) MD5Data ( (unsigned char *) data, len, buf )
#	define md5_context MD5_CTX
#else
#	include "md5-gnu.h"
#	define md5_context struct md5_ctx
#endif /* HAVE_MD5_H */

#define md5_init_ctx __md5_init_ctx
#define md5_process_block __md5_process_block
#define md5_process_bytes __md5_process_bytes
#define md5_finish_ctx __md5_finish_ctx
#define md5_read_ctx __md5_read_ctx
#define md5_stream __md5_stream
#define md5_buffer __md5_buffer

#endif /* ! __POP3LITE_MD5_WRAP_H__ */
