%define name pop3lite
%define version 0.2.4a
%define release 1

Summary: pop3lite - 3lite POP3 daemon
Name: %{name}
Version: %{version}
Release: %{release}
Source: %{name}-%{version}.tar.gz
BuildRoot: /tmp/root-%{name}-%{version}-%{release}
URL: ftp://pop3lite.sourceforge.net/pub/pop3lite/
Copyright: GPL
Group: System Environment/Daemons

%package dev
Group: System Environment/Daemons
Requires: pop3lite = %{version}
Copyright: GPL
Summary: Development header files for POP3Lite.

%package mod-misc
Group: System Environment/Daemons
Requires: pop3lite = %{version}
Copyright: GPL
Summary: Miscellaneous modules for POP3Lite

#%package mod-sqlconf
#Group: System Environment/Daemons
#Requires: pop3lite = %{version}
#Copyright: GPL
#Summary: SQLConf module for POP3Lite

%description
The POP3Lite POP3 daemon was designed to be as
flexible as possible. To accomplish this goal,
almost every part of the base daemon can be
replaced or extended.

PAM and Mailbox support are compiled into the
base daemon, just as the connection logging
module. For other modules, see the pop3lite-mod-misc
package.

%description dev
This package contains the header files required to compile
POP3Lite modules.

%description mod-misc
This package includes the APOP module, which is an
alternative authentication method; the HomeBox module,
which makes it possible to put the mailboxes into the
home directories of the users; and a few other modules,
which provide IP-less virtual hosting, user-name aliasing,
and per-user configuration, and many more...

#%description mod-sqlconf
#With this module, you can enable POP3Lite to read most
#of its configuration from an SQL table.

%prep
mkdir -p $RPM_BUILD_ROOT

%setup 
rm -f config.cache
./configure --with-layout=redhat \
	    --disable-static --disable-debugging \
	    --with-builtin-modules=pam,mailbox,connectlog

%build
make 

%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.so' | xargs strip --strip-unneeded \
						--remove-section=.comment \
						--remove-section=.note
strip --remove-section=.comment --remove-section=.note \
      $RPM_BUILD_ROOT/usr/sbin/pop3lite

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/share/info/pop3lite-admin.info*
/usr/share/man/man5/pop3lite.conf.5*
/usr/share/man/man8/pop3lite.8*
/usr/sbin/pop3lite
/usr/share/doc/%{name}-%{version}/AUTHORS
/usr/share/doc/%{name}-%{version}/BUGS
/usr/share/doc/%{name}-%{version}/COPYING
/usr/share/doc/%{name}-%{version}/COPYING.DOC
/usr/share/doc/%{name}-%{version}/ChangeLog
/usr/share/doc/%{name}-%{version}/MACHINES
/usr/share/doc/%{name}-%{version}/NEWS
/usr/share/doc/%{name}-%{version}/README
/usr/share/doc/%{name}-%{version}/THANKS
/usr/share/doc/%{name}-%{version}/TODO
/usr/share/doc/%{name}-%{version}/modules/CONNECTLOG
/usr/share/doc/%{name}-%{version}/modules/MAILBOX
/usr/share/doc/%{name}-%{version}/modules/PAM

%files dev
/usr/include/pop3lite.h
/usr/include/pop3lite/*

%files mod-misc
/usr/share/doc/%{name}-%{version}/modules/ALIAS
/usr/share/doc/%{name}-%{version}/modules/APOP
/usr/share/doc/%{name}-%{version}/modules/CAPA
/usr/share/doc/%{name}-%{version}/modules/DISABLE
/usr/share/doc/%{name}-%{version}/modules/EXPIRE
/usr/share/doc/%{name}-%{version}/modules/FILELOG
/usr/share/doc/%{name}-%{version}/modules/HOMEBOX
/usr/share/doc/%{name}-%{version}/modules/SABOTAGE
/usr/share/doc/%{name}-%{version}/modules/USERCONF
/usr/share/doc/%{name}-%{version}/modules/VHOST
/usr/lib/pop3lite/alias.so
/usr/lib/pop3lite/alias.la
/usr/lib/pop3lite/apop.so
/usr/lib/pop3lite/apop.la
/usr/lib/pop3lite/capa.so
/usr/lib/pop3lite/capa.la
/usr/lib/pop3lite/disable.so
/usr/lib/pop3lite/disable.la
/usr/lib/pop3lite/expire.so
/usr/lib/pop3lite/expire.la
/usr/lib/pop3lite/filelog.so
/usr/lib/pop3lite/filelog.la
/usr/lib/pop3lite/homebox.so
/usr/lib/pop3lite/homebox.la
/usr/lib/pop3lite/sabotage.so
/usr/lib/pop3lite/sabotage.la
/usr/lib/pop3lite/userconf.so
/usr/lib/pop3lite/userconf.la
/usr/lib/pop3lite/vhost.so
/usr/lib/pop3lite/vhost.la

#%files mod-sqlconf
#/usr/share/doc/%{name}-%{version}/modules/SQLCONF
#/usr/lib/pop3lite/sqlconf.so
#/usr/lib/pop3lite/sqlconf.la
