/*
 * POP3Lite - 3lite POP3 Daemon
 * Copyright (C) 2000, 2001 Gergely Nagy <8@free.bsd.hu>
 *
 * This file is part of POP3Lite.
 *
 * POP3Lite is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * POP3Lite is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

/*
 * $Id: core.h,v 1.4 2001/01/12 15:58:59 algernon Exp $
 */

#ifndef __CORE_H__
#define __CORE_H__ 1

#include <pop3lite.h>

/**
 * core_init: initialise the core framework
 * @control: control struct
 *
 * Initialises the core framework, which will
 * handle most of the module-independent things
 *
 * Returns: nothing
 **/
void core_init ( P3LControl *control );

/**
 * core_reinit: reinitialise core framework
 * @control: the main control struct
 *
 * Reinitialises the core framework, currently,
 * sets SysLog logmask.
 *
 * Returns: nothing
 **/
void core_reinit ( P3LControl *control );

#endif /* ! __CORE_H__ */
