/*
 * POP3Lite - 3lite POP3 Daemon
 * Copyright (C) 2000, 2001 Gergely Nagy <8@free.bsd.hu>
 *
 * This file is part of POP3Lite.
 *
 * POP3Lite is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * POP3LIte is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

/*
 * $Id: module.h,v 1.4 2001/01/12 15:59:00 algernon Exp $
 */

#ifndef __MODULE_H__
#define __MODULE_H__ 1

#include <pop3lite.h>

/**
 * load_modules: load all the selected modules
 * @control: the main control field
 *
 * Load all the selected modules (module_list).
 *
 * Returns: nothing.
 **/
void load_modules ( P3LControl *control );

/**
 * free_modules: free the memory occupied by the modules
 * @control: struct to pass to the destructor
 *
 * Frees the memory occupied by the modules
 *
 * Returns: nothing
 **/
void free_modules ( P3LControl *control );

#endif /* ! __MODULE_H__ */
